## ros-kinetic-webargs 1.5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(webargs)

# For ease of use, this CMakeLists allows to use this code from source, as if it were a normal catkin package.
# However no ROS/catkin debian package is provided for it.
# It is just a pip package that your packages should depend on (using rosdep pip dependency mechanism).
# We should follow closely https://github.com/gerkey/ros1_external_use

# Minimal Python module setup - catkin is assumed preinstalled along with ROS
# This assume catkin is installed along with a minimal ROS system.
find_package(catkin REQUIRED COMPONENTS
    catkin_pip
)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(webargs)

## Unit tests
if (CATKIN_ENABLE_TESTING)

    ############
    # PyTests
    ############

    # limiting ourselves to what indigo easily supports (given available dependencies in ROS)

    #catkin_add_pytests(tests/test_aiohttpparser.py)
    #catkin_add_pytests(tests/test_bottleparser.py)
    # TMP (part of core tests anyway)
    #catkin_add_pytests(tests/test_core.py)
    # TMP (part of core tests anyway)
    #catkin_add_pytests(tests/test_djangoparser.py)
    #catkin_add_pytests(tests/test_falconparser.py)
    catkin_add_pytests(tests/test_flaskparser.py)
    #catkin_add_pytests(tests/test_pyramidparser.py)
    catkin_add_pytests(tests/test_tornadoparser.py)
    #catkin_add_pytests(tests/test_webapp2parser.py)

endif()

=== docs/requirements.txt ===
-r ../dev-requirements-py3.txt
sphinx==1.3.6
sphinx-issues==0.3.0

=== examples/requirements.txt ===
python-dateutil==2.5.3
Flask
bottle
tornado
webapp2
flask-restful

=== debian/changelog ===
ros-kinetic-webargs (1.5.3-1xenial) xenial; urgency=high

  Bug fixes:
  * Port fix from release 1.5.2 to AsyncParser. This fixes :issue:`146` for ``AIOHTTPParser``.
  * Handle invalid types passed to ``DelimitedList`` (:issue:`149`). Thanks :user:`psconnect-dev` for reporting.

 -- AlexV <asmodehn@gmail.com>  Fri, 03 Feb 2017 23:00:00 -0000

ros-kinetic-webargs (1.5.2-1xenial) xenial; urgency=high

  Bug fixes:
  * Don't add ``marshmallow.missing`` to ``original_data`` when using ``marshmallow.validates_schema(pass_original=True)`` (:issue:`146`). Thanks :user:`lafrech` for reporting and for the fix.
  Other changes:
  * Test against Python 3.6.

 -- AlexV <asmodehn@gmail.com>  Sat, 07 Jan 2017 23:00:00 -0000

ros-kinetic-webargs (1.5.1-1xenial) xenial; urgency=high

  Bug fixes:
  * Fix handling missing nested args when ``many=True`` (:issue:`120`, :issue:`145`).  Thanks :user:`chavz` and :user:`Bangertm` for reporting.
  * Fix behavior of ``load_from`` in ``AIOHTTPParser``.

 -- AlexV <asmodehn@gmail.com>  Sat, 26 Nov 2016 23:00:00 -0000

ros-kinetic-webargs (1.5.0-1xenial) xenial; urgency=high

  Features:
  * The ``use_args`` and ``use_kwargs`` decorators add a reference to the undecorated function via the ``__wrapped__`` attribute. This is useful for unit-testing purposes (:issue:`144`). Thanks :user:`EFF` for the PR.
  Bug fixes:
  * If ``load_from`` is specified on a field, first check the field name before checking ``load_from`` (:issue:`118`). Thanks :user:`jasonab` for reporting.

 -- AlexV <asmodehn@gmail.com>  Mon, 21 Nov 2016 23:00:00 -0000

ros-kinetic-webargs (1.4.0-1xenial) xenial; urgency=high

  Bug fixes:
  * Prevent error when rendering validation errors to JSON in Flask (e.g. when using Flask-RESTful) (:issue:`122`). Thanks :user:`frol` for the catch and patch. NOTE: Though this is a bugfix, this is a potentially breaking change for code that needs to access the original ``ValidationError`` object.

 -- AlexV <asmodehn@gmail.com>  Wed, 28 Sep 2016 22:00:00 -0000

ros-kinetic-webargs (1.3.4-1xenial) xenial; urgency=high

  Bug fixes:
  * Fix bug in parsing form in Falcon>=1.0.

 -- AlexV <asmodehn@gmail.com>  Fri, 10 Jun 2016 22:00:00 -0000

ros-kinetic-webargs (1.3.3-1xenial) xenial; urgency=high

  Bug fixes:
  * Fix behavior for nullable List fields (:issue:`107`). Thanks :user:`shaicantor` for reporting.

 -- AlexV <asmodehn@gmail.com>  Sat, 28 May 2016 22:00:00 -0000

ros-kinetic-webargs (1.3.2-1xenial) xenial; urgency=high

  Bug fixes:
  * Fix passing a schema factory to ``use_kwargs`` (:issue:`103`). Thanks :user:`ksesong` for reporting.

 -- AlexV <asmodehn@gmail.com>  Wed, 13 Apr 2016 22:00:00 -0000

ros-kinetic-webargs (1.3.1-1xenial) xenial; urgency=high

  Bug fixes:
  * Fix memory leak when calling ``parser.parse`` with a ``dict`` in a view (:issue:`101`). Thanks :user:`frankslaughter` for reporting.
  * aiohttpparser: Fix bug in handling bulk-type arguments.
  Support:
  * Massive refactor of tests (:issue:`98`).
  * Docs: Fix incorrect use_args example in Tornado section (:issue:`100`). Thanks :user:`frankslaughter` for reporting.
  * Docs: Add "Mixing Locations" section (:issue:`90`). Thanks :user:`tuukkamustonen`.

 -- AlexV <asmodehn@gmail.com>  Tue, 12 Apr 2016 22:00:00 -0000

ros-kinetic-webargs (1.3.0-1xenial) xenial; urgency=high

  Features:
  * Add bulk-type arguments support for JSON parsing by passing ``many=True`` to a ``Schema`` (:issue:`81`). Thanks :user:`frol`.
  Bug fixes:
  * Fix JSON parsing in Flask<=0.9.0. Thanks :user:`brettdh` for the PR.
  * Fix behavior of ``status_code`` argument to ``ValidationError`` (:issue:`85`). This requires **marshmallow>=2.7.0**. Thanks :user:`ParthGandhi` for reporting.
  Support:
  * Docs: Add "Custom Fields" section with example of using a ``Function`` field (:issue:`94`). Thanks :user:`brettdh` for the suggestion.

 -- AlexV <asmodehn@gmail.com>  Mon, 04 Apr 2016 22:00:00 -0000

ros-kinetic-webargs (1.2.0-1xenial) xenial; urgency=high

  Features:
  * Add ``view_args`` request location to ``FlaskParser`` (:issue:`82`). Thanks :user:`oreza` for the suggestion.
  Bug fixes:
  * Use the value of ``load_from`` as the key for error messages when it is provided (:issue:`83`). Thanks :user:`immerrr` for the catch and patch.

 -- AlexV <asmodehn@gmail.com>  Sun, 03 Jan 2016 23:00:00 -0000

ros-kinetic-webargs (1.1.1-1xenial) xenial; urgency=high

  Bug fixes:
  * aiohttpparser: Fix bug that raised a ``JSONDecodeError`` raised when parsing non-JSON requests using default ``locations`` (:issue:`80`). Thanks :user:`leonidumanskiy` for reporting.
  * Fix parsing JSON requests that have a vendor media type, e.g. ``application/vnd.api+json``.

 -- AlexV <asmodehn@gmail.com>  Fri, 13 Nov 2015 23:00:00 -0000

ros-kinetic-webargs (1.1.0-1xenial) xenial; urgency=high

  Features:
  * ``Parser.parse``, ``Parser.use_args`` and ``Parser.use_kwargs`` can take a Schema factory as the first argument (:issue:`73`). Thanks :user:`DamianHeard` for the suggestion and the PR.
  Support:
  * Docs: Add "Custom Parsers" section with example of parsing nested querystring arguments (:issue:`74`). Thanks :user:`dwieeb`.
  * Docs: Add "Advanced Usage" page.

 -- AlexV <asmodehn@gmail.com>  Sat, 07 Nov 2015 23:00:00 -0000

ros-kinetic-webargs (1.0.0-1xenial) xenial; urgency=high

  Features:
  * Add ``AIOHTTPParser`` (:issue:`71`).
  * Add ``webargs.async`` module with ``AsyncParser``.
  Bug fixes:
  * If an empty list is passed to a List argument, it will be parsed as an empty list rather than being excluded from the parsed arguments dict (:issue:`70`). Thanks :user:`mTatcher` for catching this.
  Other changes:
  * *Backwards-incompatible*: When decorating resource methods with ``FalconParser.use_args``, the parsed arguments dictionary will be positioned **after** the request and response arguments.


=== debian/control ===
Source: ros-kinetic-webargs
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-flask (>= 0.10.1), python-mock, python-pytest, python-tornado (>= 4.0), python-werkzeug (>= 0.9.4), ros-kinetic-catkin (>= 0.6.18), ros-kinetic-catkin-pip (>= 0.2.0), ros-kinetic-marshmallow (>= 2.0.0), ros-kinetic-webtest (>= 2.0.18)
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-webargs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-marshmallow (>= 2.0.0)
Description: A friendly library for parsing HTTP request arguments, with built-in support for popular web frameworks, including Flask, Django, Bottle, Tornado, Pyramid, webapp2, Falcon, and aiohttp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-webargs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
